SCSI_SENSE_DESC_FIND(9)

NAME
scsi_sense_desc_find - search for a given descriptor type in descriptor sense data format.

SYNOPSIS

const u8 * scsi_sense_desc_find(const u8 * sense_buffer, int sb_len, int desc_type);

ARGUMENTS

sense_buffer
    byte array of descriptor format sense data

sb_len
    number of valid bytes in sense_buffer

desc_type
    value of descriptor type to find (e.g. 0 -> information)

NOTES

only valid when sense data is in descriptor format

RETURN VALUE

pointer to start of (first) descriptor if found else NULL

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT